%define module_name	fpix
%define module_version	svn.r76
%define module_release	alt1
%define module_source_dir driver

Name: kernel-source-%module_name
Version: %module_version
Release: %module_release
Summary: Linux %{module_name} - module sources
License: GPL
Group: Development/Kernel
Url: http://www.zago.net/v4l2/finepix/
BuildArch: noarch
Serial: 1

Source: %{module_name}-%version.tar

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
Fujifilm FinePix (PC-CAM / Webcam mode) Video4Linux and Video4Linux2 driver

Status

The driver supports a subset of both the V4L and V4L2 APIs. The V4L part
integrates a JPEG decoder (written by Michael Schroeder and adapted by Luc
Willems) and outputs a raw RGB image. The V4L2 part outputs the native JPEG
returned by the camera.

This driver seems to support Finepix cameras released until summer 2004. After
that it seems that Fujifilm switched to use the new USB video class protocol.

%prep
%setup -c

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
%__mv %module_source_dir kernel-source-%module_name-%module_version
%__tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
	%buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%files
%attr(644,root,root) %_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2

%changelog
* Mon Sep 25 2006 L.A. Kostis <lakostis@altlinux.ru> 1:svn.r76-alt1
- update to svn r76 (compile fix for 2.6.18 kernel).

* Fri Aug 11 2006 L.A. Kostis <lakostis@altlinux.ru> 1:svn.r75-alt1
- update to svn r75.

* Fri Jan 06 2006 LAKostis <lakostis at altlinux.ru> 20060106-alt1
- Initial build for Sisyphus.
